"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = parseVue;

var _hashSum = _interopRequireDefault(require("hash-sum"));

var compiler = _interopRequireWildcard(require("vue-template-compiler"));

var _lruCache = _interopRequireDefault(require("lru-cache"));

var cache = new _lruCache["default"](100);

function parseVue(source, filename) {
  var cacheKey = (0, _hashSum["default"])(filename + source); // source-map cache busting for hot-reloadded modules

  var output = cache.get(cacheKey);

  if (output) {
    return output;
  }

  output = compiler.parseComponent(source);
  cache.set(cacheKey, output);
  return output;
}